<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Repository;

use Admin\Entity\AdminUserGroupContent;
use Admin\Repository\QuerySearch\AdminUserSearch;
use Doctrine\ORM\EntityRepository;
use Admin\Entity\AdminUser;

class AdminUserRepository extends EntityRepository
{
    /**
     * 获取管理员列表
     * @param $languageCode
     * @param array $search
     * @return \Doctrine\ORM\Query
     */
    public function findAllAdmin($languageCode, array $search = [])
    {
        $query = $this->getEntityManager()->createQueryBuilder()
            ->select('a')
            ->addSelect("(SELECT c.adminGroupName FROM ".AdminUserGroupContent::class." AS c WHERE c.adminGroupId=a.adminGroupId AND c.languageCode='".$languageCode."') AS adminGroupName")
            ->from(AdminUser::class, 'a')
            ->orderBy('a.adminId', 'ASC');

        //检索
        $query = AdminUserSearch::querySearchData($search, $query);

        return $query->getQuery();
    }
}