<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Service;

use Admin\Entity\RegionContent;
use Doctrine\ORM\EntityManager;

class RegionContentManager
{
    private $entityManager;

    public function __construct(
        EntityManager $entityManager
    )
    {
        $this->entityManager = $entityManager;
    }

    /**
     * 编辑地区名称
     * @param array $data
     * @param $regionId
     * @return void
     * @throws \Doctrine\ORM\ORMException
     * @throws \Doctrine\ORM\OptimisticLockException
     */
    public function editRegionContent(array $data, $regionId)
    {
        foreach (SHOP_LANGUAGE as $language) {
            if (isset($data['regionName'.$language]) && !empty($data['regionName'.$language])) {
                $regionContent = $this->entityManager->getRepository(RegionContent::class)->findOneBy(['regionId' => $regionId, 'languageCode' => $language]);
                if ($regionContent) {
                    $regionContent->setRegionName($data['regionName'.$language]);
                } else {
                    $addRegionContent = new RegionContent();
                    $addRegionContent->setRegionName($data['regionName'.$language]);
                    $addRegionContent->setRegionId($regionId);
                    $addRegionContent->setLanguageCode($language);
                    $this->entityManager->persist($addRegionContent);
                }
                $this->entityManager->flush();
            }
        }
    }

    /**
     * 删除内容
     * @param $regionId
     * @return void
     */
    public function deleteRegionContent($regionId)
    {
        $qb = $this->entityManager->createQueryBuilder();
        $qb->delete(RegionContent::class, 'c')->where($qb->expr()->eq('c.regionId', $regionId));
        $qb->getQuery()->execute();
    }
}