<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Cms\Controller\Factory;

use Admin\Data\Config;
use Cms\Controller\CmsClassController;
use Cms\Service\CmsClassContentManager;
use Cms\Service\CmsClassManager;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;

class CmsClassControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $translator         = $container->get(Translator::class);
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $cmsClassManager    = $container->get(CmsClassManager::class);
        $cmsClassContentManager = $container->get(CmsClassContentManager::class);

        return new CmsClassController(
            $translator,
            $entityManager,
            $cmsClassManager,
            $cmsClassContentManager
        );
    }
}