<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Cms\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 文章分类
 * Class CmsClass
 * @package Cms\Entity
 * @ORM\Entity(repositoryClass="Cms\Repository\CmsClassRepository")
 * @ORM\Table(name="dbshop_cms_class")
 */
class CmsClass extends BaseEntity
{
    /**
     * 文章分类自增id
     * @ORM\Id()
     * @ORM\Column(name="cms_class_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $cmsClassId;

    /**
     * 文章分类上级分类，0 为顶级分类（文章分类只有二级）
     * @ORM\Column(name="cms_class_top_id", type="integer", length=11)
     */
    private $cmsClassTopId;

    /**
     * 文章分类状态 0 禁用，1 启用
     * @ORM\Column(name="cms_class_state", type="integer", length=1)
     */
    private $cmsClassState;

    /**
     * 文章分类排序
     * @ORM\Column(name="cms_class_sort", type="integer", length=11)
     */
    private $cmsClassSort;

    /**
     * 首页新闻，只有在有新闻显示的模板首页，才会显示
     * @ORM\Column(name="index_news", type="integer", length=1)
     */
    private $indexNews = 0;

    /**
     * @return mixed
     */
    public function getCmsClassId()
    {
        return $this->cmsClassId;
    }

    /**
     * @param mixed $cmsClassId
     */
    public function setCmsClassId($cmsClassId): void
    {
        $this->cmsClassId = $cmsClassId;
    }

    /**
     * @return mixed
     */
    public function getCmsClassTopId()
    {
        return $this->cmsClassTopId;
    }

    /**
     * @param mixed $cmsClassTopId
     */
    public function setCmsClassTopId($cmsClassTopId): void
    {
        $this->cmsClassTopId = $cmsClassTopId;
    }

    /**
     * @return mixed
     */
    public function getCmsClassState()
    {
        return $this->cmsClassState;
    }

    /**
     * @param mixed $cmsClassState
     */
    public function setCmsClassState($cmsClassState): void
    {
        $this->cmsClassState = $cmsClassState;
    }

    /**
     * @return mixed
     */
    public function getCmsClassSort()
    {
        return $this->cmsClassSort;
    }

    /**
     * @param mixed $cmsClassSort
     */
    public function setCmsClassSort($cmsClassSort): void
    {
        $this->cmsClassSort = $cmsClassSort;
    }

    /**
     * @return mixed
     */
    public function getIndexNews()
    {
        return $this->indexNews;
    }

    /**
     * @param mixed $indexNews
     */
    public function setIndexNews($indexNews): void
    {
        $this->indexNews = $indexNews;
    }
}