<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Cms\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 文章分类多语言内容
 * @ORM\Entity(repositoryClass="Cms\Repository\CmsClassContentRepository")
 * @ORM\Table(name="dbshop_cms_class_content")
 */
class CmsClassContent extends BaseEntity
{
    /**
     *
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 文章分类id
     * @ORM\Column(name="cms_class_id", type="integer", length=11)
     */
    private $cmsClassId;

    /**
     * 文章分类名称
     * @ORM\Column(name="cms_class_name", type="string", length=200)
     */
    private $cmsClassName;

    /**
     * 文章分类扩展名
     * @ORM\Column(name="cms_class_extend_name", type="string", length=200)
     */
    private $cmsClassExtendName;

    /**
     * 文章分类关键字（SEO）
     * @ORM\Column(name="cms_class_keywords", type="string", length=200)
     */
    private $cmsClassKeywords;

    /**
     * 文章分类描述（SEO）
     * @ORM\Column(name="cms_class_description", type="string", length=500)
     */
    private $cmsClassDescription;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getCmsClassId()
    {
        return $this->cmsClassId;
    }

    /**
     * @param mixed $cmsClassId
     */
    public function setCmsClassId($cmsClassId): void
    {
        $this->cmsClassId = $cmsClassId;
    }

    /**
     * @return mixed
     */
    public function getCmsClassName()
    {
        return $this->cmsClassName;
    }

    /**
     * @param mixed $cmsClassName
     */
    public function setCmsClassName($cmsClassName): void
    {
        $this->cmsClassName = $cmsClassName;
    }

    /**
     * @return mixed
     */
    public function getCmsClassExtendName()
    {
        return $this->cmsClassExtendName;
    }

    /**
     * @param mixed $cmsClassExtendName
     */
    public function setCmsClassExtendName($cmsClassExtendName): void
    {
        $this->cmsClassExtendName = $cmsClassExtendName;
    }

    /**
     * @return mixed
     */
    public function getCmsClassKeywords()
    {
        return $this->cmsClassKeywords;
    }

    /**
     * @param mixed $cmsClassKeywords
     */
    public function setCmsClassKeywords($cmsClassKeywords): void
    {
        $this->cmsClassKeywords = $cmsClassKeywords;
    }

    /**
     * @return mixed
     */
    public function getCmsClassDescription()
    {
        return $this->cmsClassDescription;
    }

    /**
     * @param mixed $cmsClassDescription
     */
    public function setCmsClassDescription($cmsClassDescription): void
    {
        $this->cmsClassDescription = $cmsClassDescription;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}