<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Extend\Repository;

use Doctrine\ORM\EntityRepository;
use Extend\Entity\Navigation;
use Extend\Entity\NavigationContent;

class NavigationRepository extends EntityRepository
{
    public function findAllNavigation()
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('n')
            ->addSelect("(SELECT c.navigationTitle FROM ".NavigationContent::class." AS c WHERE c.navigationId=n.navigationId AND c.languageCode='".SHOP_FONT_LANGUAGE."') AS navigationTitle")
            ->from(Navigation::class, 'n')
            ->orderBy('n.navigationSort', 'ASC');

        return $query->getQuery()->getResult();
    }

    /*==========================================前台==========================================*/

    /**
     * 前台导航
     * @param $navigationPlace
     * @param $languageCode
     * @return float|int|mixed|string
     */
    public function findShopNavigationList($navigationPlace, $languageCode)
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('n')
            ->addSelect("(SELECT c.navigationTitle FROM ".NavigationContent::class." AS c WHERE c.navigationId=n.navigationId AND c.languageCode='".$languageCode."') AS navigationTitle")
            ->from(Navigation::class, 'n')
            ->where('n.navigationPlace = :navigationPlace')->setParameter('navigationPlace', $navigationPlace)
            ->orderBy('n.navigationSort', 'ASC');

        return $query->getQuery()->getResult();
    }
}