<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品通用内容扩展
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsCommonContentExtRepository")
 * @ORM\Table(name="dbshop_goods_common_content_ext")
 */
class GoodsCommonContentExt extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="ext_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $extId;

    /**
     * 公共内容id
     * @ORM\Column(name="content_id", type="integer", length=11)
     */
    private $contentId;

    /**
     * 通用内容
     * @ORM\Column(name="content_body", type="text")
     */
    private $contentBody;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getExtId()
    {
        return $this->extId;
    }

    /**
     * @param mixed $extId
     */
    public function setExtId($extId): void
    {
        $this->extId = $extId;
    }

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getContentBody()
    {
        return $this->contentBody;
    }

    /**
     * @param mixed $contentBody
     */
    public function setContentBody($contentBody): void
    {
        $this->contentBody = $contentBody;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}