<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品内容
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsContentRepository")
 * @ORM\Table(name="dbshop_goods_content")
 */
class GoodsContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 商品id
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 商品名称
     * @ORM\Column(name="goods_name", type="string", length=200)
     */
    private $goodsName;

    /**
     * 商品扩展名称
     * @ORM\Column(name="goods_extend_name", type="string", length=255)
     */
    private $goodsExtendName;

    /**
     * 商品关键词SEO
     * @ORM\Column(name="goods_keywords", type="string", length=255)
     */
    private $goodsKeywords;

    /**
     * 商品描述SEO
     * @ORM\Column(name="goods_description", type="string", length=1000)
     */
    private $goodsDescription;

    /**
     * 商品详情
     * @ORM\Column(name="goods_body", type="text")
     */
    private $goodsBody;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId): void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * @return mixed
     */
    public function getGoodsName()
    {
        return $this->goodsName;
    }

    /**
     * @param mixed $goodsName
     */
    public function setGoodsName($goodsName): void
    {
        $this->goodsName = $goodsName;
    }

    /**
     * @return mixed
     */
    public function getGoodsExtendName()
    {
        return $this->goodsExtendName;
    }

    /**
     * @param mixed $goodsExtendName
     */
    public function setGoodsExtendName($goodsExtendName): void
    {
        $this->goodsExtendName = $goodsExtendName;
    }

    /**
     * @return mixed
     */
    public function getGoodsKeywords()
    {
        return $this->goodsKeywords;
    }

    /**
     * @param mixed $goodsKeywords
     */
    public function setGoodsKeywords($goodsKeywords): void
    {
        $this->goodsKeywords = $goodsKeywords;
    }

    /**
     * @return mixed
     */
    public function getGoodsDescription()
    {
        return $this->goodsDescription;
    }

    /**
     * @param mixed $goodsDescription
     */
    public function setGoodsDescription($goodsDescription): void
    {
        $this->goodsDescription = $goodsDescription;
    }

    /**
     * @return mixed
     */
    public function getGoodsBody()
    {
        return $this->goodsBody;
    }

    /**
     * @param mixed $goodsBody
     */
    public function setGoodsBody($goodsBody): void
    {
        $this->goodsBody = $goodsBody;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}