<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 标签组内容
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsTagGroupContentRepository")
 * @ORM\Table(name="dbshop_goods_tag_group_content")
 */
class GoodsTagGroupContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 标签组id
     * @ORM\Column(name="tag_group_id", type="integer", length=11)
     */
    private $tagGroupId;

    /**
     * 标签组名称
     * @ORM\Column(name="tag_group_name", type="string", length=100)
     */
    private $tagGroupName;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getTagGroupId()
    {
        return $this->tagGroupId;
    }

    /**
     * @param mixed $tagGroupId
     */
    public function setTagGroupId($tagGroupId): void
    {
        $this->tagGroupId = $tagGroupId;
    }

    /**
     * @return mixed
     */
    public function getTagGroupName()
    {
        return $this->tagGroupName;
    }

    /**
     * @param mixed $tagGroupName
     */
    public function setTagGroupName($tagGroupName): void
    {
        $this->tagGroupName = $tagGroupName;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}