<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 优惠券内容
 * @ORM\Entity(repositoryClass="Operation\Repository\CouponContentRepository")
 * @ORM\Table(name="dbshop_coupon_content")
 */
class CouponContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 优惠券id
     * @ORM\Column(name="coupon_id", type="integer", length=11)
     */
    private $couponId;

    /**
     * 优惠券标题
     * @ORM\Column(name="coupon_title", type="string", length=150)
     */
    private $couponTitle;

    /**
     * 优惠券描述
     * @ORM\Column(name="coupon_info", type="string", length=300)
     */
    private $couponInfo;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getCouponId()
    {
        return $this->couponId;
    }

    /**
     * @param mixed $couponId
     */
    public function setCouponId($couponId): void
    {
        $this->couponId = $couponId;
    }

    /**
     * @return mixed
     */
    public function getCouponTitle()
    {
        return $this->couponTitle;
    }

    /**
     * @param mixed $couponTitle
     */
    public function setCouponTitle($couponTitle): void
    {
        $this->couponTitle = $couponTitle;
    }

    /**
     * @return mixed
     */
    public function getCouponInfo()
    {
        return $this->couponInfo;
    }

    /**
     * @param mixed $couponInfo
     */
    public function setCouponInfo($couponInfo): void
    {
        $this->couponInfo = $couponInfo;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}