<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 优惠规则多内容
 * @ORM\Entity(repositoryClass="Operation\Repository\DiscountRuleContentRepository")
 * @ORM\Table(name="dbshop_discount_rule_content")
 */
class DiscountRuleContent extends BaseEntity
{
    /**
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * @ORM\Column(name="discount_rule_id", type="integer", length=11)
     */
    private $discountRuleId;

    /**
     * 优惠名称
     * @ORM\Column(name="discount_rule_title", type="string", length=150)
     */
    private $discountRuleTitle;

    /**
     * 优惠描述
     * @ORM\Column(name="discount_rule_info", type="string", length=500)
     */
    private $discountRuleInfo;

    /**
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getDiscountRuleId()
    {
        return $this->discountRuleId;
    }

    /**
     * @param mixed $discountRuleId
     */
    public function setDiscountRuleId($discountRuleId): void
    {
        $this->discountRuleId = $discountRuleId;
    }

    /**
     * @return mixed
     */
    public function getDiscountRuleTitle()
    {
        return $this->discountRuleTitle;
    }

    /**
     * @param mixed $discountRuleTitle
     */
    public function setDiscountRuleTitle($discountRuleTitle): void
    {
        $this->discountRuleTitle = $discountRuleTitle;
    }

    /**
     * @return mixed
     */
    public function getDiscountRuleInfo()
    {
        return $this->discountRuleInfo;
    }

    /**
     * @param mixed $discountRuleInfo
     */
    public function setDiscountRuleInfo($discountRuleInfo): void
    {
        $this->discountRuleInfo = $discountRuleInfo;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}