<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Repository;

use Doctrine\ORM\EntityRepository;
use Operation\Entity\CouponCode;
use Operation\Entity\CouponCodeRule;
use Operation\Entity\CouponCodeRuleContent;

class CouponCodeRuleRepository extends EntityRepository
{
    /**
     * 优惠码规则列表
     * @return int|mixed|string
     */
    public function findCouponCodeRuleList()
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('r')
            ->addSelect('(SELECT COUNT(c.couponCodeId) FROM '.CouponCode::class.' AS c WHERE c.couponCodeRuleId=r.couponCodeRuleId AND c.userId > 0) AS useCodeNum')
            ->addSelect("(SELECT rc.couponCodeTitle FROM ".CouponCodeRuleContent::class." AS rc WHERE rc.couponCodeRuleId=r.couponCodeRuleId AND rc.languageCode='".SHOP_FONT_LANGUAGE."') AS couponCodeTitle")
            ->from(CouponCodeRule::class, 'r')
            ->orderBy('r.couponCodeRuleId', 'DESC');

        return $query->getQuery()->getResult();
    }
}