<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Repository;

use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\Query\Expr\Join;
use Operation\Entity\DiscountRule;
use Operation\Entity\DiscountRuleContent;

class DiscountRuleRepository extends EntityRepository
{
    /**
     * @return float|int|mixed|string
     */
    public function findAllDiscountRule()
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('r', 'c.discountRuleTitle', 'c.discountRuleInfo')
            ->from(DiscountRule::class, 'r')
            ->leftJoin(DiscountRuleContent::class, 'c', Join::WITH, 'r.discountRuleId=c.discountRuleId')
            ->where('c.languageCode = :languageCode')->setParameter('languageCode', SHOP_FONT_LANGUAGE)
            ->orderBy('r.discountRuleId', 'DESC');

        return $query->getQuery()->getResult();
    }
}