<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Sales\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 订单退款记录
 * @ORM\Entity(repositoryClass="Sales\Repository\OrderRefundLogRepository")
 * @ORM\Table(name="dbshop_order_refund_log")
 */
class OrderRefundLog extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="refund_log_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $refundLogId;

    /**
     * 订单id
     * @ORM\Column(name="order_id", type="integer", length=11)
     */
    private $orderId;

    /**
     * 订单编号
     * @ORM\Column(name="order_sn", type="string", length=50)
     */
    private $orderSn;

    /**
     * 在线支付，退款返回的退款单号
     * @ORM\Column(name="out_trade_no", type="string", length=50)
     */
    private $outTradeNo;

    /**
     * 售后退款是的商品信息
     * @ORM\Column(name="order_goods_name", type="string", length=300)
     */
    private $orderGoodsName;

    /**
     * 退款类型
     * @ORM\Column(name="return_type", type="integer", length=1)
     */
    private $returnType;

    /**
     * 退款支付类型
     * @ORM\Column(name="refund_pay_type", type="string", length=20)
     */
    private $refundPayType;

    /**
     * 退款金额
     * @ORM\Column(name="return_amount", type="decimal", scale=2)
     */
    private $returnAmount;

    /**
     * 会员id
     * @ORM\Column(name="user_id", type="integer", length=11)
     */
    private $userId;

    /**
     * 会员名称
     * @ORM\Column(name="user_name", type="string", length=100)
     */
    private $userName;

    /**
     * 完成时间(审核通过时间)
     * @ORM\Column(name="finish_time", type="integer", length=10)
     */
    private $finishTime;

    /**
     * @return mixed
     */
    public function getRefundLogId()
    {
        return $this->refundLogId;
    }

    /**
     * @param mixed $refundLogId
     */
    public function setRefundLogId($refundLogId): void
    {
        $this->refundLogId = $refundLogId;
    }

    /**
     * @return mixed
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * @param mixed $orderId
     */
    public function setOrderId($orderId): void
    {
        $this->orderId = $orderId;
    }

    /**
     * @return mixed
     */
    public function getOrderSn()
    {
        return $this->orderSn;
    }

    /**
     * @param mixed $orderSn
     */
    public function setOrderSn($orderSn): void
    {
        $this->orderSn = $orderSn;
    }

    /**
     * @return mixed
     */
    public function getOutTradeNo()
    {
        return $this->outTradeNo;
    }

    /**
     * @param mixed $outTradeNo
     */
    public function setOutTradeNo($outTradeNo): void
    {
        $this->outTradeNo = $outTradeNo;
    }

    /**
     * @return mixed
     */
    public function getOrderGoodsName()
    {
        return $this->orderGoodsName;
    }

    /**
     * @param mixed $orderGoodsName
     */
    public function setOrderGoodsName($orderGoodsName): void
    {
        $this->orderGoodsName = $orderGoodsName;
    }

    /**
     * @return mixed
     */
    public function getReturnType()
    {
        return $this->returnType;
    }

    /**
     * @param mixed $returnType
     */
    public function setReturnType($returnType): void
    {
        $this->returnType = $returnType;
    }

    /**
     * @return mixed
     */
    public function getRefundPayType()
    {
        return $this->refundPayType;
    }

    /**
     * @param mixed $refundPayType
     */
    public function setRefundPayType($refundPayType): void
    {
        $this->refundPayType = $refundPayType;
    }

    /**
     * @return mixed
     */
    public function getReturnAmount()
    {
        return $this->returnAmount;
    }

    /**
     * @param mixed $returnAmount
     */
    public function setReturnAmount($returnAmount): void
    {
        $this->returnAmount = $returnAmount;
    }

    /**
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * @param mixed $userId
     */
    public function setUserId($userId): void
    {
        $this->userId = $userId;
    }

    /**
     * @return mixed
     */
    public function getUserName()
    {
        return $this->userName;
    }

    /**
     * @param mixed $userName
     */
    public function setUserName($userName): void
    {
        $this->userName = $userName;
    }

    /**
     * @return mixed
     */
    public function getFinishTime()
    {
        return $this->finishTime;
    }

    /**
     * @param mixed $finishTime
     */
    public function setFinishTime($finishTime): void
    {
        $this->finishTime = $finishTime;
    }
}